Beta 10.10 Nvidia update broke Sony Vaio VPCF136FM installation

Bug #655078 reported by Michael E. Adams on 2010-10-05
160
This bug affects 30 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Alberto Milone

Bug Description

I have been using 10.10 beta on my new Sony Vaio VPCF136FM configured as follows:

Processor: i7-740QM / 1.73 GHz
Graphics: NVIDIA GeForce GT 425M GPU
Display: 16.4" / 1600 x 900
Memory: 6 GB

Ubuntu can't sense my display to set up native x-server properly - it defaults to 800x600.
I installed the NVIDIA driver when I originally installed 10.10 beta. Worked perfectly.
Yesterday's (10/04/10) NVIDIA driver update broke my system - won't boot into desktop - locks up the system. I had to reboot into safe mode and remove the new NVIDIA driver. I am now only able to run in safe mode 800x600 because Ubuntu can't detect my display.

More info:

I tried reinstalling the NVIDIA driver. Rebooted to a failsafe root terminal.
Ran: nvidia-xconfig and received the following message:

Using X configuration file:
    "/etc/X11/xorg.conf"

VALIDATION ERROR:
    Data incomplete in file /etc/X11/xorg.conf.
    Undefined Device "(null)" referenced by Screen "Default Screen".

Backup file '/etc/X11/xorg.conf' as '/etc/X11/xorg.conf.backup'

New X configuration file written to '/etc/X11/xorg.conf'

I try to reboot and I get a blank screen with a color background. I
can't Ctrl-Alt-Del to reboot, I can't Ctrl-Alt F# to a virtual terminal.
I have to do a cold restart (i.e. hold the power button down to shutdown
and then reboot into failsafe graphics mode so I can remove the NVIDIA
driver to regain control of my system again).

---
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 260.19.06 Mon Sep 13 06:35:06 PDT 2010
 GCC version: gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5)
Architecture: i386
DistroRelease: Ubuntu 10.10
DkmsStatus: nvidia-current, 260.19.06, 2.6.35-22-generic-pae, i686: installed
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901.1)
MachineType: Sony Corporation VPCF136FM
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic-pae root=UUID=99c4af1a-cc38-4ade-b118-914984683266 ro single i8042.reset i8042.nomux i8042.nopnp i8042.noloop
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic-pae 2.6.35.4
Tags: maverick maverick
Uname: Linux 2.6.35-22-generic-pae i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 08/08/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0170Y9
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0170Y9:bd08/08/2010:svnSonyCorporation:pnVPCF136FM:pvrC605ZBM6:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCF136FM
dmi.product.version: C605ZBM6
dmi.sys.vendor: Sony Corporation
nvidia-settings:

system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-22-generic-pae

Fabio Marconi (fabiomarconi) wrote :

Hello
Can you please run in a terminal
apport-collect -p nvidia-graphics-driver 655078
Thanks
Fabio

affects: ubuntu → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Incomplete
tags: added: maverick
Michael E. Adams (meadams) wrote :

Fabio,

I ran: apport-collect -p nvidia-graphics-driver 655078

and got:

mea@mea-laptop:~$ apport-collect -p nvidia-graphics-driver 655078
The authorization page:
   (https://edge.launchpad.net/+authorize-token?oauth_token=64pWC6HjNl6kR4KB6m5F&allow_permission=WRITE_PRIVATE)
should be opening in your browser. After you have authorized
this program to access Launchpad on your behalf you should come
back here and press <Enter> to finish the authentication process.

Package nvidia-graphics-driver not installed and no hook available, ignoring
mea@mea-laptop:~$

Do you want me to install the NVIDIA graphics driver again and run this command from safe graphics mode (because I can't get to a virtual terminal when I boot normally with the NVIDIA graphics driver installed).

Mike

Peter Smith (petersmithca) wrote :

I too was trying 10.10 and after doing an apt-get upgrade just launches with a blue screen. Can't login, I tried reverting to 10.04, but had issues with the drivers there previously as well, and not currently working. Will try again later when I'm home with my extracted drivers and backups to see if I can get 10.04 to work.

Fabio Marconi (fabiomarconi) wrote :

@ Michael
Yes, sorry i don't explain
install and run in safe mode
Thanks
Fabio

Michael E. Adams (meadams) wrote :

Fabio,

Sorry, all I get is this - I guess because I can't run the NVIDIA graphics driver to collect any data off it:

mea@mea-laptop:~$ apport-collect -p nvidia-graphics-driver 655078
Package nvidia-graphics-driver not installed and no hook available, ignoring
mea@mea-laptop:~$

I don't know what data to try to get to you.

Mike

Peter Smith (petersmithca) wrote :

I tried to run the apport command, and got to a login screen (text based) which I filled out, but once I logged in all i seem to get is some pages about linux, etc, and I have no idea how to get back and resubmit the data?

Peter Smith (petersmithca) wrote :

further to that, i get to the text based form and enter my credentials, but the "continue" link isnt enabled, all I have is a cancel option

Fabio Marconi (fabiomarconi) wrote :

Hello Peter.
try this other command
apport-collect 655078

then when request authorize.
Fabio

Peter Smith (petersmithca) wrote :

When I try that, It again launches a w3m browser. I am able to fill in the fields with my email and password, but the only available links below that are

Register a new account

Forgotten Password

"Continue or Cancel"

in the sentence continue or cancel, the word "cancel" is a link, the word continue is not, so I am unable to actually login to authorize

Peter Smith (petersmithca) wrote :

i should note that I am doing this at the shell prompt as I am unable to get into failsafe grpahics mode, as it errors out i cannot really see the error as it flashes back to quickly - all i can make out is failed to initialize something

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Michael E. Adams (meadams) wrote :

Fabio,

I used the command you gave Peter and apparently that worked for me. Hope this helps.

Mike

Michael E. Adams (meadams) wrote :

Fabio,

I used the command you gave Peter and it appears to have worked for me.

Mike

Fabio Marconi (fabiomarconi) wrote :

Perfect.
Thanks for your contribute
i confirm the report
Fabio

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed
tags: added: regression-potential
Michael E. Adams (meadams) wrote :

Fabio,

Thank you so much for checking this out. Glad I could help, too.

Regards,
Mike

Peter Smith (petersmithca) wrote :

Thank you from me too, am hoping to get a quick resolution, bought this machine as a dual boot to do both windows and lamp development.

Peter Smith (petersmithca) wrote :

Just wondering if this thread will be updated further? Or if its possible to find and install the driver from prior to the last release? Kinda frustrating having only command prompt usage right now.

SeltiX (seltix-) wrote :

hi,

I have exactly the same problem as Michael :S

INFO:

Sony VAIO F11S1E
Ubuntu 10.10
Nvidia GeForce GT 330M

Hi,

I have the same problem, only the external LCD via the DVI-Port of the DockingStation works.

Sony Vaio S11C5E, Ubuntu 10.10 RC, Nvidia GeForce 310m

jose espinoza (elsettler) wrote :

hi.....
Same problem here after updating yesterday VPCF136FM... Nvidia drivers not working...
is there any workaround to make it functional again? thanks

pal_ (pal-) wrote :

Hi,

same problem me too !!!

sony vaio VPCW1S1E Ubuntu 10.10 RC Nvidia GeForce GT 230M

Andy (andyhesse) wrote :

Hi,

same problem me too on a Sony Vaio VPCF11Z1E after APT-GET UPGRADE on 10/04/10.

Viswanath (viswanathb) wrote :

Hi,

Same issue. I have a Sony Vaio VPCF137F. I installed Maverick RC fresh and it came up with 800x600. I installed nvidia drivers and on a reboot the display hangs at plymouth (or the text version). I even tried the x-swat version of the drivers, same issue. Good to know that an older version was working for others.

Viswanath (viswanathb) wrote :

Hi,

Same issue. I have a Sony Vaio VPCF137F. It has a Geforce 425M. I installed Maverick RC fresh and it came up with 800x600. I installed nvidia drivers and on a reboot the display hangs at plymouth (or the text version). I even tried the x-swat version of the drivers, same issue. Good to know that an older version was working for others.

Sorry for duplicate post, I missed mentioning the video chip in the first port.

wcGary83 (gary8316pa) wrote :

Hi,

Same here for me too!
Sony Viao VPCF126FM

I also should add that even with the NVIDIA driver disabled, the sytem is completely unstable, and won't recover from the locked screen or even unplugging the computer! It also automatically says the battery is about to die when it's really at 100%...

P.S. Geforce 425m

wcGary83 (gary8316pa) wrote :

Sorry, I meant Geforce 330m...

Michael E. Adams (meadams) wrote :

This issue does not seem related to information available here:

https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia

Because, my system is locked dead when I try to run the Nvidia driver since it was updated (as I reported when creating this bug report). I can only operate in safegraphics mode.

SeltiX (seltix-) wrote :

hi,

Anyone know what is the update that causes this problem? so went back to install ubuntu and did not install this update

ty

Peter Smith (petersmithca) wrote :

its the nvidia driver that you get when you select "additional drivers"

if your display works fine without "Additional drivers" then dont install them. For me however, my display was not working without them (resolution was much bigger than the actual screen) and once the new ones became available, was no longer working after either.

SeltiX (seltix-) wrote :

and it's not possible to make a downgrade?

Peter Smith (petersmithca) wrote :

I've not been able to, tho im fairly new to linux, but no instructions ive found worked.

pal_ (pal-) wrote :

.......I've used this way........while waiting for a better solution

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers/256.53-0ubuntu3/+build/1973340

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Opinion
Michael E. Adams (meadams) wrote :

Why is this opinion? I had a system that worked, that I bought and kept because Ubuntu 10.10 installed and ran great. I don't even have a Dual boot system! I waxed Windows for Ubuntu on this brand new system. And now, Ubuntu performs an update that breaks my system, and everyone else's system that provided comments to this bug report and this is being reclassified as opinion?

Michael E. Adams (meadams) wrote :

Everyone,

Ok. Based on the input from Pal_ here is how I got my system running again. THANKS PAL!

1. I used the "Additional Drivers" application to remove (deactivate) the Nvidia driver.
2. I used Synaptic to remove all Nvidia packages.
3. I followed Pal's link and downloaded the following packages:

nvidia-185-libvdpau 256.53-0ubuntu3
nvidia-185-modaliases 256.53-0ubuntu3
nvidia-current 256.53-0ubuntu3
nvidia-current-modaliases 256.53-0ubuntu3
nvidia-glx-185 256.53-0ubuntu3

I used Nautilus to view my download directory and double click on each of these file names (one at a time) to automatically launch the "Ubuntu Software Center" application that allowed me to install each package (one at a time). After all packages have been installed, do the following:

sudo update-alternatives --config gl_conf
(select the number for the alternative for nvidia-current)

sudo ldconfig

sudo nvidia-xconfig

sudo reboot

I don't know why Ubuntu does not have the 256-53 driver in the repository.

Hope I didn't leave any steps out and this helps everyone else until Ubuntu fixes this bug.

Mike

So could someone PLEASE give me step by step directions to get this working from console mode. I'm VERy new to linux and can't get my X server working for the exact same problems that everyone else is having with the NVIDIA drivers. Thanks!

Michael E. Adams (meadams) wrote :

Timothy,

I am afraid I don't know the command line equivalents to some of the GUI operations I performed in my instructions. However, before we give up, lets see if I can get to you the safegraphics mode.

1. Reboot your computer. Wait until your BIOS finishes loading and a Sony VAIO logo displays on your screen. As soon as you see the logo, hold down a "shift" key.
2. This should bring up a text boot loader message that will allow you to select a mode for booting up into a recovery mode
3. Select the recovery mode and hit the enter key.
4. This should allow your computer to continue booting and eventually bring up a recovery mode menu.
5. From the recovery mode menu (I can't remember the exact options) you want to select a safe graphics mode.
6. This will bring up another menu to allow you to select a low graphics resolution. At some point Ubuntu will ask if you want to continue in low graphics mode. Just select yes.
7. Your system should boot up to a Gnome desk top and allow you to do everything else you could before (except at a miserable graphics resolution.

Let me know if this works for you.

Mike

Peter Smith (petersmithca) wrote :

Thanks Mike

I had to start over with a 32 bit install, but at least i now have a working install

Fabio Marconi (fabiomarconi) wrote :

Opinion status just mean that you can continue to post in this report without continuosly disturb developer work because they already have all needed infos to work on this bug, if something more is needed, they will request.
Thanks again To help ubuntu
Fabio

Michael E. Adams (meadams) wrote :

Fabio,

Thank you for explaining to me. I really appreciate your manner and your help. You set a good example to all of us.

I suppose you have seen that the NVIDIA update that killed our systems is 260.19.06. The version I was able to restore thanks to pal_ was 256.53. I am operational now. But I had to get there the hard way (though I understand it might have been harder than it needed to be due to my own ignorance). Is this normal for a previous build to not be available through"Synaptic" or "Additional Drivers" applications if an update causes a disaster like this for some Ubuntu fans?

Mike

Peter,
Sorry you had to reinstall but glad you are functional again.
Mike

SeltiX (seltix-) wrote :

hy,

the last few days something strange has happened several times ...
already uninstalled the nvidia drivers do not have to get into ubuntu in safe mode, but sometimes after entering my password to get into ubuntu the screen goes black ... I tried to connect another display via VGA and everything is working properly, only the laptop screen not turn on ... : S

ty

SeltiX (seltix-) wrote :

there is a temporary solution for 64-bit architecture?

SeltiX (seltix-) wrote :

dosnt... =S my laptop display is black :S it works but after i login it turn off...

Jase (jase-king) wrote :

/Same for me, Dell Latitude with GeForce 8300GS installed. Drivers that come with 10.10/Maverick give me a blank screen instead of the logon (can hear the tom-toms so it's worked though).

Reverted to 256.53 using the link/info above and it's working ok.

@SeltiX and Jase,

I have the same problem since Lucid, my external monitor works out of the box but the laptop's display remains black. I use a Sony Vaio S11 laptop with a Nvidia Geforce 310m. I solved the problem in the following way:

1. I downloaded the 'softmccs.exe'-file, I think form the following URL: www.entechtaiwan.com/files/softMCCS.exe
2. With that program I made a custom 'EDID.bin'-file for the laptop's display in Windows.
3. I copied that file to /etc/X11.
4. Then, I customized the xorg.conf in /etc/X11, especially the following 2 lines are necessarily:
   Option "ConnectedMonitor" "DFP-0,DFP-2"
    Option "CustomEDID" "DFP-0:/etc/X11/EDID.bin"

    DFP-0 is the laptop's display, DFP-2 is the external monitor.
5. The rest of the configuration of the xorg.conf, I made in the graphical interface for the nvidia-driver, especially the settings for
     the twin-view-mode.
6. I attach my xorg.conf as it works very good on my system.

I hope, this will help you to make your display work.

Bernhard

luke (azound) wrote :

I tried the steps described by Michael E. Adams (it took a little while to find the proper package dependency order that wouldn't install latest versions of any of the required packages), but then when I rebooted it dropped me into a text prompt rather than launching gnome. Anybody know what I might have done wrong?

 @luke,

I needed the nvidia-settings-package, then it worked. Take a look at pal_'s link.

Bernhard

luke (azound) wrote :

I still have nvidia-settings_260. Does anyone have a link to nvidia-settings_256.53 for x386? (pal_'s link is for amd64)

Jase (jase-king) wrote :

Got mine working again, these are the packages I have installed:

nvidia-173-modaliases 173.14.28-0ubuntu1 Modaliases for the NVIDIA binary X.Org driver
nvidia-96-modaliases 96.43.18-0ubuntu1 Modaliases for the NVIDIA binary X.Org driver
nvidia-common 0.2.24 Find obsolete NVIDIA drivers
nvidia-current 256.53-0ubuntu3 NVIDIA binary Xorg driver, kernel module and VDPAU library
nvidia-current-modaliases 260.19.06-0ubuntu1 Modaliases for the NVIDIA binary X.Org driver

The nvidia-current is the one from the ppa link provided by pal_ (not the 64 bit one), the rest are all installed from apt-get/ubuntu maverick repositories, link:

https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers/256.53-0ubuntu3/+build/1973340/+files/nvidia-current_256.53-0ubuntu3_i386.deb

Roy Jamison (xteejx) wrote :

This may be related to a known issue, which is in the release notes (available at https://wiki.ubuntu.com/MaverickMeerkat/ReleaseNotes#Graphics%20and%20Display). Specifically:

* The new Xorg 1.9 available in Maverick is not compatible with nVidia based chipsets that use the (nvidia-96) and (nvidia-173) drivers. Bug 626974

I'm assuming everyone here has a Sony Vaio VPC series?
Different hardware needs a different bug report, so if you don't have the same as the original reporter, please file a new bug report with ubuntu-bug, this is far too cluttered as it is, hence the "Opinion" status.

Thanks guys.

jose espinoza (elsettler) wrote :

Im using vaio VPCF136FM with NVIDIA GeForce GT 425M.
Ubuntu 10.10 Desktop Edition 64 bit is working fine on low resolution graphics mode
I have tried pal's links to get more than 800x600 on the screen... but all i get after installing the .deb packages is a tty1 login access to my system... (no 3D acceleration or higher resolution)

Did somebody have had any luck on 64 bit? or 32 bit at least?

Michael E. Adams (meadams) wrote :

All,

I have attached (I hope I did it correctly - if I didn't, I will post the script in a follow-on comment) a command line bash script to automate the installation of version 256.53 of the nvidia driver. It will download all necessary .deb packages (i.e. you must have an active Internet connection) and other Ubuntu packages necessary to install and run. Simply get to a virtual terminal (ctrl-alt-F2) or text login and execute this script (i.e. the file must have executable file permissions enabled):

./my_nvidia.sh

Note that this script will be downloading files to the directory from which the script is called. I always work out of a ~/workdir/nvidia directory in order to contain all files.

During the installation, you must pay attention to answer prompts along the way. For example, select 0 (i.e. the nvidia-current, auto mode alternate driver) when prompted.

If the script executes correctly, you can safely ignore warning messages that might appear along the way. If it doesn't execute correctly, you will need to try to work through the error messages to perform diagnostics. This script is throw-away code, so I didn't spend any time exception handling.

I wrote this script to allow me to return to a working configuration should future bug fix releases not quite work out as planned or if I accidentally re-install the nvidia upgrade package that caused this mess for me in the first place.

Good luck,
Mike

luke (azound) wrote :

@Michael E. Adams,

You're script works fantastically! I think the part I was missing was this:
sudo /usr/bin/jockey-text -e xorg:nvidia_current

Thanks, everyone!

Mehdi Hassanpour (mehdi) wrote :

This bug is not just Sony Vaio related bug! Same on my Desktop with "GeForce 8400 GS". Please change the topic... and thanks pal_. your solution saved me either :)

jose espinoza (elsettler) wrote :

Just coming back to say thank you to you all...

i had to use safe mode to download the files from "pal_'s" link manually, and the instructions on "Michael E. Adams's" script explain me how to solve the problem... :-D
i had to install ubuntu 10.10 32bit in order for it to work...

thanks again (now my laptop is working the way it supposed to)

Michael E. Adams (meadams) wrote :

@pal_

Yes, thanks again for the link to the driver packages.

Mike

pal_ (pal-) wrote :

hi,
new drivers 260.19.12...SAME problem...........

bye
pal_

Peter Smith (petersmithca) wrote :

Thanks for the update pal, will be sure not to install them!

Zittergie (bart-dezitter) wrote :

Hi,

I am using a SONY VPCF11M1E (Nvidia GT330M).

Installing Ubuntu 10.10 (32 bit) worked with a completly wrong resolution. Then choose to install the hardware drivers (version 260.19) and I got the same issues as above: Blank screen with cursor blinking at the left top of the screen. Not possible to choose another login screen, pressing the power button doesn't shutdown (you have to hold it up for 4 seconds to halt the PC)

I had to revert to the nvidia driver version 256.53 to make it work again.

The lines in the xorg.conf for customEDID is not necessary anymore from version 2.56.

It's a pity that this combination (Nvidia GT330M + FullHD 1920x1080) is not yet resolved as it was already known from Ubuntu 10.04LTS

Hi,

I'm using a Sony Vaio with a Nvidia GT310m card. Using the 256.53-driver, I tried not to use the CustomEdid option, but then the notebook's display remains black, only the external monitor works. When I use the CustomEdid otpion, both displays work well, even in TwinView.

Paul Bailey (paul-m-bailey) wrote :

Downloaded the 256.53 driver from the Nvidia site and it seems to work. This is a little easier to install then the scripts above:

http://us.download.nvidia.com/XFree86/Linux-x86/256.53/NVIDIA-Linux-x86-256.53.run
http://us.download.nvidia.com/XFree86/Linux-x86_64/256.53/NVIDIA-Linux-x86_64-256.53.run

Note you have to drop down to command line and stop X to install this driver.

1. Get to command line: ctrl-alt-f5
2. Login
3. sudo /etc/init.d/gdm stop
4. sudo ./NVIDIA-Linux-x86-256.53.run or sudo ./NVIDIA-Linux-x86_64-256.53.run

Paul Bailey (paul-m-bailey) wrote :

Forgot to mention that the above binaries say that the preinstall script fails but they still install successfully.

manuel (perikitoazul) wrote :

hello guys thanks to all of you, follow the instructions and everything works perfect Mike i got a sony vaio wpccw23fx with 310 geforce and like MIke seid customedid is not necessary anymore thanx thanx thanx.....

Michael Nischt (mosaic-school) wrote :

thanks, the 256.53 driver worked.. but hope I can use the repository driver again soon

Changed in nvidia-graphics-drivers (Ubuntu):
status: Opinion → Confirmed
disappearedng (disappearedng) wrote :

@Bernhard Hohensinn
"""I'm using a Sony Vaio with a Nvidia GT310m card. Using the 256.53-driver, I tried not to use the CustomEdid option, but then the notebook's display remains black, only the external monitor works. When I use the CustomEdid otpion, both displays work well, even in TwinView."""

Dear Bernhard, How did you get yours to work?

1) I uninstalled all nvidia*
2) I downloaded NVIDIA-Linux-x86_64-256.53.run
3) Rebooted, get black screen, can't even get into recovery mode
4) Have to boot from start up disk and mount and change /etc/X11/xorg.conf

Added the lines:
   Option "ConnectedMonitor" "DFP-0"
   Option "CustomEDID" "DFP-0:/etc/X11/sony.bin"
Under section ( the xorg.conf is generated by nvidia-xconfig after step 2), Obviously I have the sony.bin file there

Still getting blank screen...

Not hearing any noise when ubuntu boots, so I guess it's a bigger issue then?

@disappearedng

Dear disappearedng,

Downloading and installing NVIDIA-Linux-x86_64-256.53.run didn't work, too.

So, I used Michael E. Adams' instructions (#58) and used pal_'s link (#56, but I searched for the 64bit-packages):
1. I removed all nvidia packages with synaptic.
2. I downloaded the files as described in #58 using the following link: https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers/256.53-0ubuntu3/+build/1973339.
3. I also had to download the package nvidia-settings_256.53-0ubuntu1_amd64.deb (I don't know anymore where I found it, but there's now a link: #66
4. I installed the packages using Ubuntu Software Center, first I installed 'nvidia-current_256.53-0ubuntu3_amd64.deb
5. I did (as described by #58):
   sudo update-alternatives --config gl_conf
   sudo ldconfig
   sudo nvidia-xconfig
   sudo reboot
6. So, then only the external monitor worked, so I still have to use the CustomEDID-option, so I copied xorg.conf.backup to xorg.conf (in /etc/X11) and reboted.
7. I made the necessary settings with the NVIDIA-GUI and then it worked fine.

I'll hope this will help you

Bernhard

disappearedng (disappearedng) wrote :

@Bernhard:
Thank you! That worked. I had to get around it a little, but it worked really well.

Since I am subscribed to multiple threads for this issue, I will post what I have done. I am on VPCS117GG.

1) Remove all nvidia packages
2) download the files and install this https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers/256.53-0ubuntu3/+build/1973339.
3) download the package nvidia-settings_256.53-0ubuntu1_amd64.deb (follow #66)
4) install all of them using `sudo dpkg -i *.deb`
5) This is where I tried something different, I read somewhere that you MUST use linux kernel 2.6.36, go to http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-maverick/ (thanks to Artem161 from http://code.google.com/p/vaio-f11-linux/wiki/NVIDIASetup). Download the appropriate architecture files. I downloaded headers, image and headers-amd64
6) Use the custom EDID option in /etc/X11/xorg.conf
*my edid file is located in /proc/acpi/video... your might be different.
    Option "ConnectedMonitor" "DPF-0"
    Option "CustomEDID" "DPF-0: /proc/acpi/video/IGPU/LCD0/EDID"
    Option "RegistryDwords" "EnableBrightnessControl=1" # For brightness control
7) This is your step 5,
   sudo update-alternatives --config gl_conf (I picked manual)
   sudo ldconfig
   sudo nvidia-xconfig
   sudo reboot

And yes. Finally this is working well.
Check http://code.google.com/p/vaio-f11-linux/wiki/NVIDIASetup [+] for more details

luke (azound) wrote :

So far there has been a lot of discussion about workarounds, but very little about potential fixes. Is anyone actually working on this bug? Does someone understand well enough what the source of the problem is? Does the fix need to be done by nvidia?

Thanks everyone to their great help with workarounds!

lepetit (lacsebastien) wrote :

salut, j'ai le vaio f11s1e
les driver 256.53 fonctionne correctement
mais pas les drivers de la série 260 :/
dommage

Jorge Gustavo (jgr) wrote :

Same, here, Sony Vaio, VPC F13Z1, with NVIDIA GeForce GT 425M, Ubuntu 10.10 64bits
With 256.53 it works.

On clean install,
$ sudo apt-get install dkms
was needed before installing old nvidia drivers.

Thanks.

Awesome Guys...I had same issue and followed Michel's custom script which solves problem..everything seems good now, let me restart and make sure...

Mine is VPCF119GX model and Nvidia G330

Thanks again.

Regards,
Nambi

A possible workaround for those who:
- Use a laptop (I guess)
- Rarely do a full boot
- Are still willing to wait for a while for the bug to be fixed

I have my laptop set to suspend on lid close, so after the machine has stopped booting (no more disk activity), I suspend and resume. This restores the screen for me with 260 driver.

smileyguy (smileyguy) wrote :

Eureka!

#86's solution worked the first time for me. Wow. I rebooted and it it worked fine. It comes up with the big Nvidia logo but I love it. The nvidia x server works and I changed my res to make it bigger. Smashing!

*** Just follow Paul Bailey's instructions in #86 and you will be fine.

I have a Sony vpcf-1390x with an nvidia gt 425m video card.

A huge bouquet for Paul Bailey. Well done.

Smileyguy

Cachapa (cachapa) wrote :

@wordamus You can remove the nvidia logo on boot by adding the following line to your xorg.conf:
Option "NoLogo" "True"

In section "Device"

smileyguy (smileyguy) wrote :

UPDATE.....

Well, I booted the system several times and changed the res too and all went well. So I got fat and sassy. I decided to add 200+ MB of updates. Oh, yeah. I am new to Linux but I am thinking that maybe the new kernel brought the computer to its knees. I am back in low res for the time being. Tomorrow I will first retry the 'Bailey' fix. If that doesn't work. I will dump all the Nvidia stuff and try again. If that doesn't work I will do the Mike Smith long fix.

Now I realize I should have done the updates first and then do the 'Bailey fix.'

But we do know there is a way out of the wilderness. The issue is fixable with files we can get at now. That is a huge improvement over what was possible a week ago for me.

Tomorrow I will post what I find out for my attempts at 'fixing' this issue.

And Chahapa, thanks for the Nvidia logo solution.

Lastly, I just wish Ubuntu developers would show up to finally and correctly resolve this Nvidia issue. The Nvidia drivers seem fine, it is the Ubuntu code that is killing us.

How wise is it to put out a new revision to an Operating System every six months? Think about it! I am not dissing Ubuntu. But Ubuntu should slow down and put a better revisions. Folks cling to XP because it was stable, predictable, known and well seasoned.

smileyguy

smileyguy (smileyguy) wrote :

***UPDATE...to comment #86

I reran the fix in comment #86 again. I didn't do anything else but run the fix. After I restarted X my beautiful 1920X1080 display came right up...POW! I rebooted a couple of times...the computer worked fine. So I got fat and sassy again and installed the Ubuntu restricted updates. That worked ok too. So I did a warm boot and a cold boot and the computer is running fine.

Me thinks folks with computers with this issue who have display problems...just rerun the fix in #86. I am hoping this work around is just that durable too. And I hope Ubuntu developers get around to finally and correctly fixing this issue too.

Sony vpcf-1390x with nvidia gt-425m video

Smileyguy

Michael E. Adams (meadams) wrote :

Smileyguy,

All you have to do is run my script. Just follow my instructions given in entry #77 above. I developed this script just in case I accidentally did what you must have done, reinstalled the Nvidia update that breaks my system (and I have had to use it). Just follow the instructions and it will automatically download and install the correct Nvidia packages.

Regards,
Mike

smileyguy (smileyguy) wrote :

Mike,

Thanks for info. I do appreciate it. Actually I have printed out the parts of this thread that I thought was important. And #77 was one of them I took. I have the print out in my computer bag just in case. And I have the bug number memorized as I am sure a lot of others do as well. Over the course of this issue I have learned a lot more about Ubuntu and that is nice too. Windows is a bane on Mankind.

Mike, thanks to you for the terrific effort you put forth on this. I greatly appreciate it.

Smileyguy.

wyz (wangyizhuo) wrote :

I have added http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu to my source list, and installed nvidia-current (260.19.26). It solved the problem and worked like a charm.

Seems this is the simplest and most graceful solution so far.

wyz (wangyizhuo) wrote :

Update:
I tried to remove my original xorg.conf with EDID settings and use nvidia-settings to generate a new xorg.conf. I come back to the same old problem. EDID settings are still need in xorg.conf with 260.19.26 driver. Hope it will improve in future.

dirac (craj) wrote :

I am a new entry n those looking for solution plz ignore this.

I got ASUS U43JC with i5-460M intel, Nvidia Geforce 310M graphics card with Optimus technology. I am suffering from same black screen problem . Graphics card not being installed. I installed 10.4 LTS ubuntu n tried to update graphics card software from hardware drivers in system>>administration. Once i install n reboot the login never turns up

Thoughts ? Possible solns?

Michael E. Adams (meadams) wrote :

dirac,

This bug report thread was opened for my specific Sony computer. Others with same or different Sony computers have followed this thread. That being said, you could try downloading and running the script (i.e. command line program) I wrote to service the problem you describe. However, your mileage may vary (i.e. it might not work for you - but probably will). See my entry above numbered #77 for details on what to do.

Good luck,
Mike

pal_ (pal-) wrote :

HI,
new drivers 260.19.29 from X "ppa:ubuntu-x-swat/x-updates" THEY WORK OK !

bye
pal

piet_sperling (piet-sperling) wrote :

I 'd like to draw attention to the fact that running Knoppix 6.4 on the same machine does not give any problems, so there must be a real generic solution in stead of a work around

Michael E. Adams (meadams) wrote :

pal,

Could you explain what the "ppa:ubuntu-x-swat/x-updates" is and why Ubuntu hasn't provided an update with this new driver? Is Ubuntu-x-swat working with Ubuntu for a solution or is this just someone's personal solution? If this driver is installed, will it update properly with future kernel updates or must it be reinstalled manually?

Thanks,
Mike

pal_ (pal-) wrote :

hi Mike, if it can help u..........

https://help.launchpad.net/Packaging/PPA

bye
pal_

Michael E. Adams (meadams) wrote :

pal,

Thanks for the response. I see that these personal packages are not supported by Ubuntu (which is fine and I thank the folks developing in this ppa for their hard work). If this works for folks, that is good. Since I am operational with your prior driver links and my posted script, I prefer to wait for Ubuntu to provide their supported fix. That is, I am waiting for the opportunity to test one (hint, hint Ubuntu)!

Thanks,
Mike

Alex M. Lowe (lengau) wrote :

Has anyone here managed to get either the VGA or HDMI outputs working in Ubuntu (Lucid or Maverick)?

Latest drivers (260.19.29) from Ubuntu-X (https://launchpad.net/~ubuntu-x-swat/+archive/x-updates) works on my VPCCW without any problem. I did not try HDMI output but VGA output works.

Alex M. Lowe (lengau) wrote :

Using the 260.19.29 drivers and the xorg.conf file generated by jockey resolves this problem.

As of right now, this bug is also still a problem in Natty.

Michael E. Adams (meadams) wrote :

I finally got around to trying "ppa:ubuntu-x-swat/x-updates" and installed their latest nvidia driver (270.18). I just wanted to report that it works great on my system (the one that I opened this bug report with). My thanks to the "swat" team.

Could someone answer this question?

Is Ubuntu going to use the efforts of this "swat" team for the next release of Ubuntu or will this nvidia issue be left unaddressed as it has been for Ubuntu 10.10 on my Sony Vaio VPCF136FM. Does Ubuntu consider nvidia driver issues, because they are closed binaries, not to be under their care or is this ppa used by Ubuntu as part of their development process?

Thanks,
Mike

Download full text (4.8 KiB)

The next version of Ubuntu already includes version 260.29 in its
repositories (a version that works with the F series). It is likely
that the latest version of the driver will be included in the final
release and has simply yet to be included.

Many of the members of the swat team are also members of the team who
maintain X and the Nvidia and ATI drivers in Ubuntu itself. The
x-updates ppa is simply to provide newer packages for already-released
versions.

On 6 February 2011 08:26, Michael E. Adams <email address hidden> wrote:
> I finally got around to trying "ppa:ubuntu-x-swat/x-updates" and
> installed their latest nvidia driver (270.18). I just wanted to report
> that it works great on my system (the one that I opened this bug report
> with). My thanks to the "swat" team.
>
> Could someone answer this question?
>
> Is Ubuntu going to use the efforts of this "swat" team for the next release of Ubuntu or will this nvidia issue be left unaddressed as it has been for Ubuntu 10.10 on my Sony Vaio VPCF136FM. Does Ubuntu consider nvidia driver issues, because they are closed binaries, not to be under their care or is this ppa used by Ubuntu as part of their development process?
>
> Thanks,
> Mike
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (694956).
> https://bugs.launchpad.net/bugs/655078
>
> Title:
>  Beta 10.10 Nvidia update broke Sony Vaio VPCF136FM installation
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  I have been using 10.10 beta on my new Sony Vaio VPCF136FM configured
>  as follows:
>
>  Processor: i7-740QM / 1.73 GHz
>  Graphics: NVIDIA GeForce GT 425M GPU
>  Display: 16.4" / 1600 x 900
>  Memory: 6 GB
>
>  Ubuntu can't sense my display to set up native x-server properly - it defaults to 800x600.
>  I installed the NVIDIA driver when I originally installed 10.10 beta. Worked perfectly.
>  Yesterday's (10/04/10) NVIDIA driver update broke my system - won't boot into desktop - locks up the system. I had to reboot into safe mode and remove the new NVIDIA driver. I am now only able to run in safe mode 800x600 because Ubuntu can't detect my display.
>
>  More info:
>
>  I tried reinstalling the NVIDIA driver. Rebooted to a failsafe root terminal.
>  Ran: nvidia-xconfig and received the following message:
>
>  Using X configuration file:
>      "/etc/X11/xorg.conf"
>
>  VALIDATION ERROR:
>      Data incomplete in file /etc/X11/xorg.conf.
>      Undefined Device "(null)" referenced by Screen "Default Screen".
>
>  Backup file '/etc/X11/xorg.conf' as '/etc/X11/xorg.conf.backup'
>
>  New X configuration file written to '/etc/X11/xorg.conf'
>
>  I try to reboot and I get a blank screen with a color background. I
>  can't Ctrl-Alt-Del to reboot, I can't Ctrl-Alt F# to a virtual terminal.
>  I have to do a cold restart (i.e. hold the power button down to shutdown
>  and then reboot into failsafe graphics mode so I can remove the NVIDIA
>  driver to regain control of my system again).
>
>  ---
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86 Kernel Module  260.19.06  Mon Sep 13 06:35:06 PDT 2010
>   GCC version:  gcc ...

Read more...

Michael E. Adams (meadams) wrote :
Download full text (5.6 KiB)

Excellent. Thank you so much for your answer and your work.

Please note that I would have made it a point to try the "swat" team
offering sooner to help in your efforts had I understood the team
membership relationship to Ubuntu itself (who I offered to help with
testing a bug fix for this issue) rather than rely for so long on the
script I provided in the Launchpad. Maybe others made the same error.
Sorry for my mistake.

Best regards,
Mike

On Sun, 2011-02-06 at 17:52 +0000, Alex M. Lowe wrote:
> The next version of Ubuntu already includes version 260.29 in its
> repositories (a version that works with the F series). It is likely
> that the latest version of the driver will be included in the final
> release and has simply yet to be included.
>
> Many of the members of the swat team are also members of the team who
> maintain X and the Nvidia and ATI drivers in Ubuntu itself. The
> x-updates ppa is simply to provide newer packages for already-released
> versions.
>
> On 6 February 2011 08:26, Michael E. Adams <email address hidden> wrote:
> > I finally got around to trying "ppa:ubuntu-x-swat/x-updates" and
> > installed their latest nvidia driver (270.18). I just wanted to report
> > that it works great on my system (the one that I opened this bug report
> > with). My thanks to the "swat" team.
> >
> > Could someone answer this question?
> >
> > Is Ubuntu going to use the efforts of this "swat" team for the next release of Ubuntu or will this nvidia issue be left unaddressed as it has been for Ubuntu 10.10 on my Sony Vaio VPCF136FM. Does Ubuntu consider nvidia driver issues, because they are closed binaries, not to be under their care or is this ppa used by Ubuntu as part of their development process?
> >
> > Thanks,
> > Mike
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (694956).
> > https://bugs.launchpad.net/bugs/655078
> >
> > Title:
> > Beta 10.10 Nvidia update broke Sony Vaio VPCF136FM installation
> >
> > Status in “nvidia-graphics-drivers” package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > I have been using 10.10 beta on my new Sony Vaio VPCF136FM configured
> > as follows:
> >
> > Processor: i7-740QM / 1.73 GHz
> > Graphics: NVIDIA GeForce GT 425M GPU
> > Display: 16.4" / 1600 x 900
> > Memory: 6 GB
> >
> > Ubuntu can't sense my display to set up native x-server properly - it defaults to 800x600.
> > I installed the NVIDIA driver when I originally installed 10.10 beta. Worked perfectly.
> > Yesterday's (10/04/10) NVIDIA driver update broke my system - won't boot into desktop - locks up the system. I had to reboot into safe mode and remove the new NVIDIA driver. I am now only able to run in safe mode 800x600 because Ubuntu can't detect my display.
> >
> > More info:
> >
> > I tried reinstalling the NVIDIA driver. Rebooted to a failsafe root terminal.
> > Ran: nvidia-xconfig and received the following message:
> >
> > Using X configuration file:
> > "/etc/X11/xorg.conf"
> >
> > VALIDATION ERROR:
> > Data incomplete in file /etc/X11/xorg.conf.
> > Undefined Device "(null)" referenced by Screen "Default Screen".
> >
> > Ba...

Read more...

tags: added: regression-release
removed: regression-potential
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) wrote :

We won't roll back the nvidia driver in the final release. Alberto, is there something we use to do about these regressions, like report them upstream? There's not much we can do about them anyway.

Please unassign yourself again after your answer. Thanks!

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → Alberto Milone (albertomilone)

Architecture: i386
DistroRelease: Ubuntu 10.10
GdmLog2: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: Sony Corporation VPCF136FM
Package: nvidia-graphics-drivers (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-25-generic-pae root=UUID=516995f3-3b8f-4292-9eda-29cd8664463d ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: hostname 2.6.35-25.44-generic-pae 2.6.35.10
Tags: maverick maverick
Uname: Linux 2.6.35-25-generic-pae i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 09/03/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0180Y9
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0180Y9:bd09/03/2010:svnSonyCorporation:pnVPCF136FM:pvrC606V0UB:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCF136FM
dmi.product.version: C606V0UB
dmi.sys.vendor: Sony Corporation
drirc:
 <driconf>
 </driconf>
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-25-generic-pae

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I'm closing this bug report. If you can still reproduce the issue in recent Ubuntu releases, feel free to reopen this report.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions